NumberOutput
Date: 2016-12-03

com.fasterxml.jackson.core.io

## Class NumberOutput

- java.lang.Object
- - com.fasterxml.jackson.core.io.NumberOutput

-     public final class NumberOutput
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `outputInt(int v, byte[] b, int off)`
    `static int` | `outputInt(int v, char[] b, int off)`
    `static int` | `outputLong(long v, byte[] b, int off)`
    `static int` | `outputLong(long v, char[] b, int off)`
    `static java.lang.String` | `toString(double v)`
    `static java.lang.String` | `toString(float v)`
    `static java.lang.String` | `toString(int v)`
    `static java.lang.String` | `toString(long v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberOutput

          public NumberOutput()

  - ### Method Detail

    - #### outputInt

          public static int outputInt(int v,
                      char[] b,
                      int off)

      Returns:
        Offset within buffer after outputting int

    - #### outputInt

          public static int outputInt(int v,
                      byte[] b,
                      int off)

    - #### outputLong

          public static int outputLong(long v,
                       char[] b,
                       int off)

      Returns:
        Offset within buffer after outputting int

    - #### outputLong

          public static int outputLong(long v,
                       byte[] b,
                       int off)

    - #### toString

          public static java.lang.String toString(int v)

    - #### toString

          public static java.lang.String toString(long v)

    - #### toString

          public static java.lang.String toString(double v)

    - #### toString

          public static java.lang.String toString(float v)

      Since:
        2.6.0